%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A modern media player based on the GStreamer framework
Name:		parole
Version:	0.2.0.6
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/parole
Source0:	http://archive.xfce.org/src/apps/parole/%{url_ver}/%{name}-%{version}.tar.bz2
Patch1:		parole-0.2.0.6-linking.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(gstreamer-video-0.10)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfcegui4-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(taglib_c)
#for xdt-autogen
BuildRequires:	xfce4-dev-tools
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc

#for video/x-h264 support
Requires:	gstreamer0.10-ffmpeg
Obsoletes:	%{name}-browser-plugin < 0.2.0.6

%description
New media player for Xfce desktop environment.

%prep
%setup -q
%patch1 -p1 -b .linkingfix

%build
NOCONFIGURE=1 xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std

# (tpg) not needed for now
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO THANKS
%{_bindir}/%{name}
%{_libdir}/parole-0/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Sat Apr 21 2012 wally <wally> 0.2.0.6-4.mga2
+ Revision: 232314
- own unowned dir

* Fri Apr 20 2012 wally <wally> 0.2.0.6-3.mga2
+ Revision: 232099
- require gstreamer0.10-ffmpeg for H.264 support
- drop unneeded plugins linking patch
- add patch to fix main program linking
- clean .spec and BRs

* Sun Jun 19 2011 ahmad <ahmad> 0.2.0.6-2.mga2
+ Revision: 109572
- Add missing BR libdbus-glib-devel
- Update to 0.2.0.6
- Drop and obsolete the browser-plugin sub-package, upstream dropped support for
  it

* Sat Feb 19 2011 ahmad <ahmad> 0.2.0.2-5.mga1
+ Revision: 53990
- drop old/unneeded scriptlets
- imported package parole


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-4mdv2011.0
+ Revision: 633058
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-3mdv2011.0
+ Revision: 579666
- rebuild for new xfce 4.7.0

* Sun Apr 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-2mdv2010.1
+ Revision: 536073
- rebuild for new xulrunner

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 0.2.0.2-1mdv2010.1
+ Revision: 496190
- new verison 0.2.0.2

* Fri Jan 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.1-1mdv2010.1
+ Revision: 491924
- update to new version 0.2.0.1

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 486871
- update to new version 0.2.0

* Tue Dec 01 2009 Funda Wang <fwang@mandriva.org> 0.1.99-1mdv2010.1
+ Revision: 472298
- new version 0.1.99

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to version 0.1.98

* Wed Nov 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.96-1mdv2010.1
+ Revision: 470069
- Update to 0.1.96

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.1.95-1mdv2010.1
+ Revision: 470035
- fix linkage
- add plugin sub package
- new version 0.1.95

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.91-1mdv2010.1
+ Revision: 462243
- update to new version 0.1.91

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.90-1mdv2010.0
+ Revision: 456674
- add spec and source files
- Created package structure for parole.

